
Katello - Bug #3985

Foreman hardhat is under inner top bar on katello nutupane pages

01/09/2014 06:19 PM - Walden Raines

Status: Resolved   

Priority: Normal   

Assignee: Walden Raines   

Category:    

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

See screenshot

Steps to Reproduce:

1. Go to a katello nutupane page

2. Note hardhat is under inner top bar.

Associated revisions

Revision a55db8ab - 01/21/2014 04:43 PM - Walden Raines

Fix #3985 - foreman hardhat under inner top bar.

This fix removes jQuery from the bastion productionincludes, instead

relying on Foreman to include jQuery.  We still include jQuery for

javascript testing.

History

#1 - 01/09/2014 06:20 PM - Walden Raines

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1139

#2 - 01/09/2014 06:21 PM - Walden Raines

- File Screenshot from 2014-01-09 13_19_29.png added

#3 - 01/20/2014 03:05 PM - Walden Raines

The problem here is that foreman is including an older version of jQuery and then katello is including a newer version of jQuery and the two are

conflicting resulting in this error:

Uncaught TypeError: Object [object Object] has no method 'flot_pie'

 We could fix this bug by upgrading foreman's version of jQuery and not including it on the katello side.

However, we need to figure out how we are going to manage our assets in the future so as to prevent this problem in the future if foreman ever

decides to use a library that katello is using we could end up running into this problem again.

#4 - 01/20/2014 03:06 PM - Walden Raines

- Status changed from Ready For Testing to New

- Difficulty changed from trivial to medium

#5 - 01/21/2014 09:46 PM - Walden Raines

- Status changed from New to Ready For Testing

https://github.com/Katello/katello/pull/3596
#6 - 01/21/2014 11:33 PM - Walden Raines

- Status changed from Ready For Testing to Resolved

#7 - 01/22/2014 09:50 AM - Dominic Cleal

- Project changed from Foreman to Katello

- Category deleted (Web Interface)

- Target version deleted (1.9.2)

#8 - 06/06/2014 01:40 PM - Eric Helms

- Triaged set to Yes

#9 - 08/22/2014 07:49 AM - Eric Helms

- translation missing: en.field_release set to 13

Files

Screenshot from 2014-01-09 13_19_29.png 35.1 KB 01/09/2014 Walden Raines
